Bug 438459 - [5.2][kdump] "ls: /etc/ld.so.conf.d/*: No such file or directory" warning
[5.2][kdump] "ls: /etc/ld.so.conf.d/*: No such file or directory" warning
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-20 23:57 EDT by CAI Qian
Modified: 2009-01-20 16:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:00:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CAI Qian 2008-03-20 23:57:34 EDT
Description of problem:
When starting kdump service, it displayed

No kdump initial ramdisk found.[WARNING]
Rebuilding /boot/initrd-2.6.18-86.el5kdump.img
ls: /etc/ld.so.conf.d/*: No such file or directory
Starting kdump:[  OK  ]

The following patch fixed this,

--- mkdumprd.orig       2008-03-21 11:13:48.000000000 +0800
+++ mkdumprd    2008-03-21 11:14:49.000000000 +0800
@@ -1914,7 +1914,7 @@
                     
     #find the shared libraries.  this snippet taken from kboot
     TEMPLDCFG=`mktemp`
-    for lib in `ls /etc/ld.so.conf.d/* | grep -v kernelcap`
+    for lib in `ls /etc/ld.so.conf.d/* 2>/dev/null | grep -v kernelcap`
     do
         echo "include " $lib >> $TEMPLDCFG
     done 


Version-Release number of selected component (if applicable):
RHEL5.2-Server-20080320.0
kexec-tools-1.102pre-14.el5

How reproducible:
Always
Comment 1 Kevin Krafthefer 2008-05-22 12:06:55 EDT
This RFE has been reviewed during the RHEL RFE review
with Red Hat product management. This request has been *tentatively* approved
for inclusion
in the next update. This decision is not final and still pends further
technical review and scoping by Red Hat development engineering.
Comment 2 Neil Horman 2008-05-22 13:02:37 EDT
fixed in -22.el5.  Thanks!
Comment 6 errata-xmlrpc 2009-01-20 16:00:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0105.html

Note You need to log in before you can comment on or make changes to this bug.